Package org.drinkless.tdlib

# Class TdApi.SetMessageSenderBlockList

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetMessageSenderBlockList

Enclosing class:
  `TdApi`

public static class TdApi.SetMessageSenderBlockList extends TdApi.Function<TdApi.Ok>
Changes the block list of a message sender. Currently, only users and supergroup chats can be blocked.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.BlockList`
  `blockList`
  New block list for the message sender; pass null to unblock the message sender.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageSender`
  `senderId`
  Identifier of a message sender to block/unblock.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetMessageSenderBlockList()`
  Default constructor for a function, which changes the block list of a message sender.
  `SetMessageSenderBlockList(TdApi.MessageSender senderId, TdApi.BlockList blockList)`
  Creates a function, which changes the block list of a message sender.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of a message sender to block/unblock.

  - ### blockList

    public TdApi.BlockList blockList
    New block list for the message sender; pass null to unblock the message sender.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetMessageSenderBlockList

    public SetMessageSenderBlockList()
    Default constructor for a function, which changes the block list of a message sender. Currently, only users and supergroup chats can be blocked.

    Returns `Ok`

  - ### SetMessageSenderBlockList

    public SetMessageSenderBlockList(TdApi.MessageSender senderId, TdApi.BlockList blockList)
    Creates a function, which changes the block list of a message sender. Currently, only users and supergroup chats can be blocked.

    Returns `Ok`

    Parameters:
      `senderId` - Identifier of a message sender to block/unblock.
      `blockList` - New block list for the message sender; pass null to unblock the message sender.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR